[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'unixutil' (#rtl)

# ArrayStringToPPchar

Concert an array of string to an array of null-terminated strings

## Declaration

Source position: unixutil.pp line 44

`function ArrayStringToPPchar(`
`const S: array of AnsiString;`
`reserveentries: LongInt`
`):ppchar;`

## Description

ArrayStringToPPchar creates an array of null-terminated strings that point to strings which are the same as the strings in the array S. The function returns a pointer to this array. The array and the strings it contains must be disposed of after being used, because it they are allocated on the heap.

The ReserveEntries parameter tells ArrayStringToPPchar to allocate room at the end of the array for another ReserveEntries entries.

## Errors

If not enough memory is available, an error may occur.

## See also

StringToPPChar |  | Split string in list of null-terminated strings

Documentation generated on: Feb 26 2014